Retrieve a Tax Registration
curl --request GET \
--url https://api.nocotax.app/organizations/{organization_id}/tax_registrations/{id} \
--header 'Authorization: Basic <encoded-value>'import requests
url = "https://api.nocotax.app/organizations/{organization_id}/tax_registrations/{id}"
headers = {"Authorization": "Basic <encoded-value>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Basic <encoded-value>'}};
fetch('https://api.nocotax.app/organizations/{organization_id}/tax_registrations/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.nocotax.app/organizations/{organization_id}/tax_registrations/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Basic <encoded-value>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.nocotax.app/organizations/{organization_id}/tax_registrations/{id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Basic <encoded-value>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.nocotax.app/organizations/{organization_id}/tax_registrations/{id}")
.header("Authorization", "Basic <encoded-value>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.nocotax.app/organizations/{organization_id}/tax_registrations/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Basic <encoded-value>'
response = http.request(request)
puts response.read_body{
"id": "txr_17920607901tjmd78c5576",
"livemode": false,
"object": "tax_registration",
"country": "FR",
"options": null,
"organization_id": "org_1792060790yguedcbda6e",
"tax_id": "eu-vat",
"number": "FR76045221686",
"type": "standard",
"zone": "EU",
"created_at": "2026-10-15T10:39:50.087Z",
"updated_at": "2026-10-15T10:39:50.087Z"
}Tax Registrations
Retrieve a Tax Registration
Retrieves a tax registration for a given ID and an organization
GET
/
organizations
/
{organization_id}
/
tax_registrations
/
{id}
Retrieve a Tax Registration
curl --request GET \
--url https://api.nocotax.app/organizations/{organization_id}/tax_registrations/{id} \
--header 'Authorization: Basic <encoded-value>'import requests
url = "https://api.nocotax.app/organizations/{organization_id}/tax_registrations/{id}"
headers = {"Authorization": "Basic <encoded-value>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Basic <encoded-value>'}};
fetch('https://api.nocotax.app/organizations/{organization_id}/tax_registrations/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.nocotax.app/organizations/{organization_id}/tax_registrations/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Basic <encoded-value>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.nocotax.app/organizations/{organization_id}/tax_registrations/{id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Basic <encoded-value>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.nocotax.app/organizations/{organization_id}/tax_registrations/{id}")
.header("Authorization", "Basic <encoded-value>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.nocotax.app/organizations/{organization_id}/tax_registrations/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Basic <encoded-value>'
response = http.request(request)
puts response.read_body{
"id": "txr_17920607901tjmd78c5576",
"livemode": false,
"object": "tax_registration",
"country": "FR",
"options": null,
"organization_id": "org_1792060790yguedcbda6e",
"tax_id": "eu-vat",
"number": "FR76045221686",
"type": "standard",
"zone": "EU",
"created_at": "2026-10-15T10:39:50.087Z",
"updated_at": "2026-10-15T10:39:50.087Z"
}Authorizations
Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.
Path Parameters
The ID of the organization you want to interact with
id
Response
200 - application/json
successful
The country of establishment for this tax registration
The tax ID this registration is for
Type of registration in country/zone
The tax zone (eg. EU) this registration refers to.
